Skip to main content
Resource Center/Resource Pool/Affinity Group Operations
POSTAffinity Group OperationsSince 2.3SynchronousAuth Required

CreateAffinityGroup

CreateAffinityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The affinity group name.

    • descriptionString

      Optional. The detailed description of the affinity group.

    • policyStringRequired

      The affinity group policy.

    • typeString

      Optional. The affinity group type. The current type is host. In the future, network, router, data center, and rack affinity groups will be supported.

    • resourceUuidString

      Optional. The resource UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAffinityGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • policyStringRequired

      The affinity group policy.

    • versionStringRequired

      The version of the affinity group allocation algorithm.

    • typeStringRequired

      The affinity group type. The current type is host. In the future, network, router, data center, and rack affinity groups will be supported.

    • applianceStringRequired

      The affinity group appliance.

    • stateStringRequired

      当前状态。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • usagesListRequired

      See usages.

      • uuidStringRequired

        The resource binding UUID of the affinity group.

      • affinityGroupUuidStringRequired

        The affinity group UUID.

      • resourceUuidStringRequired

        The UUID of the resource that joins the affinity group.

      • resourceTypeStringRequired

        The type of the resource that joins the affinity group.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/affinity-groups

/zstack/v1/affinity-groups

Operation ID

CreateAffinityGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/affinity-groups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","policy":"<policy>","type":"<type>","resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "05ad02be7c5f4a6a9b6d164cb2980be6", "name": "affinity-group-test", "description": "affinity group for test", "policy": "ANTISOFT", "version": "1.0", "type": "HOST" } }

Change History

This API has no change history records yet.

View all change history